FORT Robotics logoFORT Robotics logoFORT Manager API
  • Getting Started
  • Examples
  • Concepts
  • CLI V2
  • API v1 Reference
ApiKeys
    Retrieves keys for an organization.getUpdate the role of the service account associated with a given key nameputValidates an API key for the specified organization.post
Configurations
    Search an organization's configurationsgetCreate a device configurationpostGet a configuration by idgetDelete a configurationdeleteUpdate a configurationpatchGet the current status of a configuration, whether it's complete or has any validation errors.getAdd a device to a configurationpostDelete a device from a configurationdeleteUpdate a device on a configurationpatch
Devices
    Search devicesgetRegister a devicepostUpdate a devicepatchGet the latest firmware by device serial numbergetGets the latest firmware by a specific device type.getGet a device's configurationget
IpNetworkTemplates
    Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.getCreates a new IP network template for a given comm interface in the current organization.postGet an IP network template by IDget
Users
    Get all usersgetRegister a userpostGet a user by idgetDelete a userdeleteUpdate role for a userpatch
Versions
    Retrieves the current version of the API.get
Schemas
powered by Zudoku
Pro Series API

Configurations

Endpoint:https://platform.fortrobotics.com

Configuration management. A configuration consists of a group of devices, the protocol they use to communicate, and the safety parameters describing their communication. A device's configuration file can be generated after 2 conditions are satisfied. 1). A configuration must be created and configured. 2). The device as well as all other devices that will belong to the configuration have been added to it.


Search an organization's configurations

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations

Search an organization's configurations › path Parameters

  • orgIdstring · required

    The id of the organization.

Search an organization's configurations › query Parameters

  • Searchstring

    Search text to filter the configurations by name

  • SortOptionsstring · enum

    How to sort the list

    Enum values:
    LastEditedASC
    LastEditedDESC
    ConfigNameASC
    ConfigNameDESC
  • Limitinteger · int32

    The number of records to return. Max 30.

  • Pageinteger · int32

    The page offset when fetching the records

Search an organization's configurations › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Search an organization's configurations › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/configurations

Create a device configuration

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations

Create a device configuration › path Parameters

  • orgIdstring · required

    The id of the organization.

Create a device configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Create a device configuration › Request Body

  • namestring · minLength: 1 · required

    The name of the configuration

  • startingIpAddressstring | null

    The starting ip that will be used when assigning IP network capable devices.

  • ismTxPowerstring · enum
    Enum values:
    Medium
    High
    Low
  • ismTxChannelinteger | null · int32

    The channel number that the ISM radio will use. North America should be between(inclusive) 1 and 21. EU must be set to 1.

  • canModestring · enum

    The CAN mode

    Enum values:
    canopen
    j1939
    none
  • canKBitratestring · enum

    Can bitrate options. EPC and NSCP devices can only be BITRATE_250000 and BITRATE_500000.

    Enum values:
    BITRATE_10000
    BITRATE_20000
    BITRATE_50000
    BITRATE_125000
    BITRATE_250000
    BITRATE_500000
    BITRATE_800000
    BITRATE_1000000
  • displayTextPgninteger | null · int32

    If CAN mode is J1939 then this can be set. If not set, it will be set to a default value of: 65281 (0xFF01). Must have a value between: 0xFF00 and 0xFFFF.

  • settingsPgninteger | null · int32

    If CAN mode is J1939 then this can be set. If not set, it will be set to a default value of: 65282 (0xFF02). Must have a value between: 0xFF00 and 0xFFFF.

  • approvedSourceAddressesarray | null

    Array of the node ids of ECUs to listen to. Addresses must be between 0 and 255.

  • receiverOutputControlinteger | null · int32

    Which output on the receiver the sender will control. Must be 1 or 2

  • timeoutConfigurationstring · enum

    The safety timeout delay for the configuration.

    Enum values:
    250ms
    500ms
    750ms
    1000ms
    3000ms
    5000ms

Create a device configuration › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/configurations

Get a configuration by id

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}

Get a configuration by id › path Parameters

  • idstring · uuid · required

    The configuration id to get

    The configuration id

  • orgIdstring · required

    The id of the organization.

Get a configuration by id › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get a configuration by id › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/configurations/{id}

Delete a configuration

DELETE
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}

Delete a configuration › path Parameters

  • idstring · uuid · required

    The id of the configuration to delete

    The configuration id

  • orgIdstring · required

    The id of the organization.

Delete a configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Delete a configuration › Responses

Success

  • dataobject

    Result returned after attempting to delete a configuration.

  • successboolean
  • errorsarray | null
DELETE /v1/organizations/{orgId}/configurations/{id}

Update a configuration

PATCH
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}

Update a configuration › path Parameters

  • idstring · uuid · required

    The configuration id to update

    The configuration id

  • orgIdstring · required

    The id of the organization.

Update a configuration › query Parameters

  • dryRunboolean

    Run the operation as a dry run. Make no modifications and only return any validation errors that would be caused by the operation.

    Default: false

Update a configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update a configuration › Request Body

  • namestring | null

    Represents an optional property in a patch request body

  • startingIpAddressstring | null

    Represents an optional property in a patch request body

  • ismTxPowerstring · enum
    Enum values:
    Medium
    High
    Low
  • ismTxChannelinteger | null · int32

    Represents an optional property in a patch request body

  • canModestring · enum

    The CAN mode

    Enum values:
    canopen
    j1939
    none
  • canKBitratestring · enum

    Can bitrate options. EPC and NSCP devices can only be BITRATE_250000 and BITRATE_500000.

    Enum values:
    BITRATE_10000
    BITRATE_20000
    BITRATE_50000
    BITRATE_125000
    BITRATE_250000
    BITRATE_500000
    BITRATE_800000
    BITRATE_1000000
  • displayTextPgninteger | null · int32

    Represents an optional property in a patch request body

  • settingsPgninteger | null · int32

    Represents an optional property in a patch request body

  • approvedSourceAddressesarray | null

    Represents an optional property in a patch request body

  • receiverOutputControlinteger | null · int32

    Represents an optional property in a patch request body

  • timeoutConfigurationstring · enum

    The safety timeout delay for the configuration.

    Enum values:
    250ms
    500ms
    750ms
    1000ms
    3000ms
    5000ms

Update a configuration › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
PATCH /v1/organizations/{orgId}/configurations/{id}

Get the current status of a configuration, whether it's complete or has any validation errors.

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/validate/{id}

Get the current status of a configuration, whether it's complete or has any validation errors. › path Parameters

  • idstring · uuid · required

    The configuration id to get

    The configuration id

  • orgIdstring · required

    The id of the organization.

Get the current status of a configuration, whether it's complete or has any validation errors. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get the current status of a configuration, whether it's complete or has any validation errors. › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/configurations/validate/{id}

Add a device to a configuration

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}/devices

Add a device to a configuration › path Parameters

  • idstring · uuid · required

    The configuration id to add the device to

    The configuration id

  • orgIdstring · required

    The id of the organization.

Add a device to a configuration › query Parameters

  • dryRunboolean

    Run the operation as a dry run. Make no modifications and only return any validation errors that would be caused by the operation.

    Default: false

Add a device to a configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Add a device to a configuration › Request Body

  • serialNumberstring | null

    The serial number identifying the device.

  • ipAddressstring | null

    The IP address of the device. Only required when configuration uses IP communications.

  • deviceConfigurationTypestring · enum

    The role that the device will be in the configuration. All configurations must have at least one sender and one receiver.

    Enum values:
    Sender
    Receiver
    EStopSender
  • commInterfacestring · enum

    Device communication interface flags. Can be used individually or combined. (e.g., "Wifi", "BLE, Ethernet" or "BLE,ISM,Wifi").

    Enum values:
    None
    BLE
    ISM
    Ethernet
    Wifi
  • inputConfiguration1string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • inputConfiguration2string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • inputConfiguration3string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • can0Idinteger · int32

    The id of can interface

  • serial0Usagestring · enum

    NSC Pro only. The physical output interface between the FORT Pro device and your equipment under control. Can be FORT SDK(comms) or Data Output Control(control). FORT SDK and Data Output Control can each only be set on one serial at a time."

    Enum values:
    comms
    control
  • serial1Usagestring · enum

    NSC Pro only. The physical output interface between the FORT Pro device and your equipment under control. Can be FORT SDK(comms) or Data Output Control(control). FORT SDK and Data Output Control can each only be set on one serial at a time."

    Enum values:
    comms
    control
  • stopCategorystring · enum

    NSC Pro only. E-Stop category CAT0: For an EPC Sender - If ESTOP is on input #1 it disables receiver output #1; if ESTOP on input #2 it disables receiver output #2. For an SRCP transmitter - The last output of the receiver (output #2 for NSCP or output #3 for EPC) is turned off. CAT1: Output #1 of the receiver is turned off immediately, and after a user-defined delay (CAT1 Delay), output #2 of the receiver is turned off.

    Enum values:
    CAT0
    CAT1
  • cat1StopDelaynumber | null · float

    Delay for the CAT1 E-Stop.

  • ethNetmaskstring | null

    The ethernet interface netmask. Only used in configurations that use ethernet communications

  • ethGatewaystring | null

    The ethernet interface gateway. Only used in configurations that use ethernet communications

  • ethNameserversarray | null

    The ethernet interface nameservers. Only used in configurations that use ethernet communications

  • wifiNetmaskstring | null

    The wifi interface netmask. Only used in configurations that use wifi communications

  • wifiGatewaystring | null

    The wifi interface gateway. Only used in configurations that use wifi communications

  • wifiNameserversarray | null

    The wifi interface nameservers

  • wifiSsidstring | null

    The wifi SSID

  • wifiPasswordstring | null

    The wifi password

  • networkTemplateIdstring · uuid

    The network template id

Add a device to a configuration › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/configurations/{id}/devices

Delete a device from a configuration

DELETE
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}/devices/{serialNumber}

Delete a device from a configuration › path Parameters

  • idstring · uuid · required

    The id of the configuration the device is in

    The configuration id

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Delete a device from a configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Delete a device from a configuration › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
DELETE /v1/organizations/{orgId}/configurations/{id}/devices/{serialNumber}

Update a device on a configuration

PATCH
https://platform.fortrobotics.com
/v1/organizations/{orgId}/configurations/{id}/devices/{serialNumber}

Update a device on a configuration › path Parameters

  • idstring · uuid · required

    The configuration id that the configuration is in

    The configuration id

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Update a device on a configuration › query Parameters

  • dryRunboolean

    Run the operation as a dry run. Make no modifications and only return any validation errors that would be caused by the operation.

    Default: false

Update a device on a configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update a device on a configuration › Request Body

  • ipAddressstring | null

    Represents an optional property in a patch request body

  • deviceConfigurationTypestring · enum

    The role that the device will be in the configuration. All configurations must have at least one sender and one receiver.

    Enum values:
    Sender
    Receiver
    EStopSender
  • commInterfacestring · enum

    Device communication interface flags. Can be used individually or combined. (e.g., "Wifi", "BLE, Ethernet" or "BLE,ISM,Wifi").

    Enum values:
    None
    BLE
    ISM
    Ethernet
    Wifi
  • inputConfiguration1string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • inputConfiguration2string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • inputConfiguration3string · enum

    Input 1's function(pin 3 and 6) on the endpoint controller's J1 connector. Input 1 must be set to NOT_USED on SRCP and WESP devices. Input 2's function(pin 2 and 5) on the endpoint controller's J1 connector. Input 2 is not applicable to NSC Pro devices that use CAT 1 stop category. Input 2 must be set to NOT_USED on SRCP and WESP devices. Must be set to NOT_USED on SRCP and WESP devices.

    Enum values:
    NOT_USED
    ESTOP_TYPE_SWITCH
    SOLID_STATE_SAFETY_DEVICE
    REMOTE_SAFETY_REQUEST
    REMOTE_SAFETY_REQUEST_WITH_AUTONOMY_SELECT
  • can0Idinteger · int32

    The id of can interface

  • can1Idinteger · int32

    The id of can interface

  • voltagestring · enum
    Enum values:
    VOLTAGE_12V
    VOLTAGE_24V
    VOLTAGE_5V
  • serial0Usagestring · enum

    NSC Pro only. The physical output interface between the FORT Pro device and your equipment under control. Can be FORT SDK(comms) or Data Output Control(control). FORT SDK and Data Output Control can each only be set on one serial at a time."

    Enum values:
    comms
    control
  • serial1Usagestring · enum

    NSC Pro only. The physical output interface between the FORT Pro device and your equipment under control. Can be FORT SDK(comms) or Data Output Control(control). FORT SDK and Data Output Control can each only be set on one serial at a time."

    Enum values:
    comms
    control
  • serial0Baudratestring · enum
    Enum values:
    BAUDRATE_115200
  • serial1Baudratestring · enum
    Enum values:
    BAUDRATE_115200
  • stopCategorystring · enum

    NSC Pro only. E-Stop category CAT0: For an EPC Sender - If ESTOP is on input #1 it disables receiver output #1; if ESTOP on input #2 it disables receiver output #2. For an SRCP transmitter - The last output of the receiver (output #2 for NSCP or output #3 for EPC) is turned off. CAT1: Output #1 of the receiver is turned off immediately, and after a user-defined delay (CAT1 Delay), output #2 of the receiver is turned off.

    Enum values:
    CAT0
    CAT1
  • cat1StopDelaynumber | null · float

    Represents an optional property in a patch request body

  • ethNetmaskstring | null

    Represents an optional property in a patch request body

  • ethGatewaystring | null

    Represents an optional property in a patch request body

  • ethNameserversarray | null

    Represents an optional property in a patch request body

  • wifiNetmaskstring | null

    Represents an optional property in a patch request body

  • wifiGatewaystring | null

    Represents an optional property in a patch request body

  • wifiNameserversarray | null

    Represents an optional property in a patch request body

  • wifiSsidstring | null

    Represents an optional property in a patch request body

  • wifiPasswordstring | null

    Represents an optional property in a patch request body

  • networkTemplateIdstring · uuid

    The network template id

Update a device on a configuration › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
PATCH /v1/organizations/{orgId}/configurations/{id}/devices/{serialNumber}

ApiKeysDevices